Package org.jboss.logmanager.errormanager

## Class OnlyOnceErrorManager

- java.lang.Object
- - java.util.logging.ErrorManager
  - - org.jboss.logmanager.errormanager.OnlyOnceErrorManager

    public final class OnlyOnceErrorManager
    extends java.util.logging.ErrorManager

An error manager which runs only once and writes a complete formatted error to `System.err`. Caches an early `System.err` in case it is replaced.

### Field Summary

### Fields inherited from class java.util.logging.ErrorManager

`CLOSE_FAILURE, FLUSH_FAILURE, FORMAT_FAILURE, GENERIC_FAILURE, OPEN_FAILURE, WRITE_FAILURE`

### Constructor Summary

Constructors
`OnlyOnceErrorManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error​(java.lang.String msg, java.lang.Exception ex, int code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OnlyOnceErrorManager

    public OnlyOnceErrorManager()

### Method Detail

#### error

    public void error​(java.lang.String msg,
                      java.lang.Exception ex,
                      int code)

Overrides:
  `error` in class `java.util.logging.ErrorManager`